require 'spec_helper'

describe 'test resource ocu' do
  before (:all) do
    @test_data = YAML.load_file(File.expand_path(File.dirname(__FILE__)+'/test_ocu_data.yml'))
    @to_users = @test_data['to_users']
    @ocu = MinxingRubySdk::Ocu::OcuAccount.new ({:root_url => @test_data['root_url'], :ocuId => @test_data['ocuId'], :ocuSecret =>@test_data['ocuSecret']})
  end

  it 'test POST /api/v1/conversations/ocu_messages, send a article resource message to users.' do
    resources = @test_data['resources']
    articlemessage = MinxingRubySdk::Ocu::ArticleMessage.new
    for i in 0...resources.size
      args = {}
      args['title'] = resources[i]['title']
      args['sub_title'] = resources[i]['sub_title']
      args['author'] = resources[i]['author']
      args['create_time'] = resources[i]['create_time']
      args['pic_url'] = resources[i]['pic_url']
      args['description'] = resources[i]['description']
      resource = MinxingRubySdk::Ocu::Resource.new(args)
      article = MinxingRubySdk::Ocu::Article.new({}, resource)
      articlemessage.articles[i] = article
    end

    @ocu.send_message_to_users(articlemessage, MinxingRubySdk::Ocu::ARTICLE, @to_users)
    # @ocu.send_message_to_public(articlemessage, MinxingRubySdk::Ocu::ARTICLE)
    MinxingRubySdk::LOGGER.debug("sended ok: " + resources.size.to_s)
  end

end
